/**
 * Created by Shovkoplyas on 20.02.2016.
 */

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int n = inf.nextInt();
        int m = inf.nextInt();
        int answersCnt = 0;
        for (int i = 0; i < m; i++) {
            int type = inf.nextInt();
            int tmp = inf.nextInt();
            if (type == 2) {
                answersCnt++;
                tmp = inf.nextInt();
            }
        }
        //System.out.println(answersCnt);
        for (int i = 0; i < answersCnt; i++) {
            int cAns = ouf.nextInt();
            int jAns = ans.nextInt();
            if (cAns != jAns) {
                return new Outcome(Outcome.Type.WA,
                        String.format("expected: %d, found: %d in %d request", jAns, cAns, i + 1));
            }
        }
        return new Outcome(Outcome.Type.OK, String.format("%d answers", answersCnt));
    }
}
